Loading...
Searching...
No Matches
casacore::ImageExprGram_global_functions_ImageExprGramFunctions Struct Reference
images package (libcasa_images) » Images_module » Images_module_internal_classes

More...

`#include <ImageExprGram.h>`

## Public Member Functions

int | imageExprGramParseCommand (const String &command)
| Declare the bison parser (is implemented by bison command).
void | ImageExprGramerror (const char *)
| The yyerror function for the parser.
Int & | imageExprGramPosition ()
| Give the current position in the string.
int | imageExprGramInput (char *buf, int max_size)
| Declare the input routine for flex/bison.
String | imageExprGramRemoveEscapes (const String &in)
| A function to remove escaped characters.
String | imageExprGramRemoveQuotes (const String &in)
| A function to remove quotes from a quoted string.

## Detailed Description

Global functions for flex/bison scanner/parser for ImageExprGram

### Intended use:

Internal

### Prerequisite

- ImageExprGram.l and.y (flex and bison grammar)

### Synopsis

Global functions are needed to define the input of the flex scanner and to start the bison parser. The input is taken from a string.

### Motivation

It is necessary to be able to give an image expression in ASCII. This can be used in glish.

Definition at line 70 of file ImageExprGram.h.

## Member Function Documentation

## ImageExprGramerror()

void casacore::ImageExprGram_global_functions_ImageExprGramFunctions::ImageExprGramerror | ( | const char * |  | ) |

The yyerror function for the parser.

It throws an exception with the current token.

## imageExprGramInput()

int casacore::ImageExprGram_global_functions_ImageExprGramFunctions::imageExprGramInput | ( | char * | buf,
|  | int | max_size )

Declare the input routine for flex/bison.

## imageExprGramParseCommand()

int casacore::ImageExprGram_global_functions_ImageExprGramFunctions::imageExprGramParseCommand | ( | const String & | command | ) |

Declare the bison parser (is implemented by bison command).

## imageExprGramPosition()

Int & casacore::ImageExprGram_global_functions_ImageExprGramFunctions::imageExprGramPosition | ( |  | ) |

Give the current position in the string.

This can be used when parse errors occur.

## imageExprGramRemoveEscapes()

String casacore::ImageExprGram_global_functions_ImageExprGramFunctions::imageExprGramRemoveEscapes | ( | const String & | in | ) |

A function to remove escaped characters.

## imageExprGramRemoveQuotes()

String casacore::ImageExprGram_global_functions_ImageExprGramFunctions::imageExprGramRemoveQuotes | ( | const String & | in | ) |

A function to remove quotes from a quoted string.

The documentation for this struct was generated from the following file:

- images/Images/ImageExprGram.h